> ## Documentation Index
> Fetch the complete documentation index at: https://docs.umified.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Meeting

> Creates a Meeting



## OpenAPI

````yaml POST /create_meeting/
openapi: 3.1.0
info:
  title: Umified APIs
  description: >-
    Umified APIs for access management, meeting information, transcription and
    bot management.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.umified.com/api/v1
security:
  - bearerAuth: []
paths:
  /create_meeting/:
    post:
      description: Creates a Meeting
      requestBody:
        description: Details in form-data.
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                destination_path:
                  type: string
                  description: >-
                    **_For Authorised Partners Only_**


                    *Optional*. S3 destination for meeting transcript file
                    upload (must end in `/`). 

                    E.g. `s3://bucket_name/` *or*
                    `s3://bucket-name/folder-name/`.

                    Here, `bucket_name` is the name of your S3 prod bucket. 


                    Post meeting, once transcription is completed, the
                    transcript file will be uploaded to: 

                    `<destination_path>/<meeting-session-id>/meeting-transcript.txt`.
                  pattern: >-
                    ^s3://notetaker-transcripts-prod-032265101474-eu-west-1(?:/[A-Za-z0-9!\.\_\-\*'\(\)]+)*/$
                meeting_url:
                  type: string
                  description: "Meeting URL - Google Meet, Zoom or Teams. \n\n**Note:** Teams meeting URL shall be in below format \n*https://teams.live.com/meet/{meeting-id}?p={passcode}*. \nExample:\r*https://teams.live.com/meet/0123456789123?p=Ab12aBa1*"
                meeting_name:
                  type: string
                  description: A Meeting name.
                start_datetime:
                  type: string
                  format: date-time
                  pattern: >-
                    ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?(?:Z|[+\-]\d{2}:\d{2})$
                  description: "**Required for Scheduled Meeting.**\nStart datetime shall be strictly in ISO-8601 with timezone offset (+HH:MM).\nExamples:\n\t*2025-05-05T14:30:00.123456+05:30*,\n\t*2025-05-05T14:30:00+04:00*,\n\t*2025-05-05 14:30:00-05:00*."
                  examples:
                    UTC:
                      summary: UTC Time
                      value: '2025-04-28T15:05:35.759770+00:00'
                    IST:
                      summary: IST Time
                      value: '2025-04-28T20:35:35.762760+05:30'
                    UTC+1:
                      summary: UTC+1 Time
                      value: '2025-04-28T16:05:35.759770+01:00'
                end_datetime:
                  type: string
                  format: date-time
                  pattern: >-
                    ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?(?:Z|[+\-]\d{2}:\d{2})$
                  description: "**Required for Scheduled Meeting.**\nEnd datetime shall be strictly in ISO-8601 with timezone offset (+HH:MM).\nExamples:\n\t*2025-05-05T14:30:00.123456+05:30*,\n\t*2025-05-05T14:30:00+04:00*,\n\t*2025-05-05 14:30:00-05:00*."
                  examples:
                    UTC:
                      summary: UTC Time
                      value: '2025-04-28T15:05:35.759770+00:00'
                    IST:
                      summary: IST Time
                      value: '2025-04-28T20:35:35.762760+05:30'
                    UTC+1:
                      summary: UTC+1 Time
                      value: '2025-04-28T16:05:35.759770+01:00'
                bot_name:
                  type: string
                  description: '*OPTIONAL* - Custom name for the bot.'
                client_code:
                  type: string
                  description: '*OPTIONAL* - Client code for identifying the user'
                  examples:
                    Umified:
                      summary: Umified Client Code
                      value: umified
                    ACME Corp.:
                      summary: ACME Client Code
                      value: acme
              required:
                - meeting_url
                - meeting_name
        required: true
      responses:
        '201':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateMeetingResponse'
        '400':
          description: Bad Request Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
components:
  schemas:
    CreateMeetingResponse:
      type: object
      properties:
        result:
          type: object
          properties:
            bot_name:
              type: string
              example: Umified Bot
            session_id:
              type: string
              example: umifiedpdin20250422061939541365
          required:
            - bot_name
            - session_id
        message:
          type: string
          example: Your meeting is created successfully.
        status_code:
          type: integer
          example: 201
        destination:
          oneOf:
            - type: string
            - type: 'null'
          example: null
      required:
        - result
        - message
        - status_code
        - destination
    BadRequestError:
      type: object
      properties:
        message:
          type: string
          example: >-
            Meeting URL should be a valid Zoom, Google Meet, or Microsoft Teams
            URL.
        status_code:
          type: integer
          example: 400
        destination:
          oneOf:
            - type: string
            - type: 'null'
          example: null
      required:
        - message
        - status_code
        - destination
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````